View Issue Details

IDProjectCategoryView StatusLast Update
16142Bug reportsSurvey participants (Tokens)public2020-05-25 11:30
ReporterNielsFro Assigned ToDenisChenu  
PrioritynormalSeverityblock 
Status closedResolutionfixed 
Product Version3.22.4 
Fixed in Version4.2.4 
Summary16142: Deleting a participant after he/she started the survey keeps the survey available
Description

GIVEN: A survey participant is created in a closed-access survey
WHEN: The participant has started the survey using his token
AND: Afterwards the participant is deleted via the survey participants administration table (NOT CPDB)
THEN: The participant can still continue the survey
AND: Using the same URL incl. the token, the survey can be entered via another browser and computer (so I assume it's no client-side caching problem)

Additional Information

However, on submitting the survey, there's an error message

500: Internal Server Error
Call to undefined method stdClass::save()

An internal error occurred while the Web server was processing your request.

Please contact Administrator to report this problem.

Note: When I use the "Exit and clear survey" button and then try to restart it, I'm seeing the screen where I have to enter my token. This is what I'd expect also directly after deleting the survey.

I've had this in all my surveys and also in different installations (same version, though). Is this a known problem and is there any way around it?

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.22.4+200212
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysql (I think)
Server OS (if known)Linux
Webserver software & version (if known)Apache
PHP Version7.1.33

Activities

cdorin

cdorin

2020-04-16 18:43

manager   ~57194

@ollehar, do you know anything about this?

Hey @NielsFro, is there any reason why you delete the tokens before the participants finish filling out the survey? Not sure if someone really though thoroughly to this scenario.

NielsFro

NielsFro

2020-04-16 21:09

reporter   ~57207

Hi @cdorin, we use Limesurvey as part of a larger tool where users can "Cancel" participations that were previously created. Canceling from our tool triggers the delete in Limesurvey. I already thought of workarounds for our specific problem as I figured it wasn't a "standard" use of LS. Hope this explains it :)

DenisChenu

DenisChenu

2020-04-17 09:50

developer   ~57211

@cdorin : there are any reason to delete token ... it's a big issue here !

DenisChenu

DenisChenu

2020-04-17 10:04

developer   ~57212

3.0 have the issue
2.73 didn't have

DenisChenu

DenisChenu

2020-04-17 10:05

developer   ~57213

Last edited: 2020-04-17 10:05

View 2 revisions

Work with lsa ...

  1. Import lsa
  2. launch
  3. enter deleted

Entered

DenisChenu

DenisChenu

2020-04-18 11:37

developer   ~57237

@cdorin : https://github.com/LimeSurvey/LimeSurvey/pull/1405
Can someone review the fix ?
i fix it after same in master and improve the fix in master too.

DenisChenu

DenisChenu

2020-05-20 19:12

developer   ~57977

For 4.X version

DenisChenu

DenisChenu

2020-05-22 19:18

developer   ~57992

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29987

lime_release_bot

lime_release_bot

2020-05-25 11:30

administrator   ~58011

Fixed in Release 3.22.17+200525

Related Changesets

LimeSurvey: master 56852c75

2020-05-22 19:18:01

DenisChenu

Details Diff
Fixed issue 16142: Deleting a participant after he/she started the survey keeps the survey available (#1405)
Dev: unset invalid token ($oToken is null)
Affected Issues
16142
mod - application/controllers/survey/index.php Diff File

Issue History

Date Modified Username Field Change
2020-04-16 15:26 NielsFro New Issue
2020-04-16 18:43 cdorin Note Added: 57194
2020-04-16 21:09 NielsFro Note Added: 57207
2020-04-17 09:50 DenisChenu Note Added: 57211
2020-04-17 10:04 DenisChenu Note Added: 57212
2020-04-17 10:05 DenisChenu File Added: survey_archive_token-deleted.lsa
2020-04-17 10:05 DenisChenu Note Added: 57213
2020-04-17 10:05 DenisChenu Note Edited: 57213 View Revisions
2020-04-17 10:17 DenisChenu Assigned To => DenisChenu
2020-04-17 10:17 DenisChenu Status new => assigned
2020-04-18 11:37 DenisChenu Note Added: 57237
2020-04-18 11:37 DenisChenu Assigned To DenisChenu => cdorin
2020-05-20 16:20 ollehar Priority none => normal
2020-05-20 16:20 ollehar Severity minor => block
2020-05-20 16:38 ollehar Assigned To cdorin => ollehar
2020-05-20 16:38 ollehar Status assigned => testing
2020-05-20 16:58 ollehar Status testing => resolved
2020-05-20 16:58 ollehar Resolution open => fixed
2020-05-20 19:12 DenisChenu Assigned To ollehar => DenisChenu
2020-05-20 19:12 DenisChenu Status resolved => new
2020-05-20 19:12 DenisChenu Resolution fixed => reopened
2020-05-20 19:12 DenisChenu Status new => assigned
2020-05-20 19:12 DenisChenu Note Added: 57977
2020-05-22 19:18 DenisChenu Changeset attached => LimeSurvey master 56852c75
2020-05-22 19:18 DenisChenu Note Added: 57992
2020-05-22 19:18 DenisChenu Resolution reopened => fixed
2020-05-23 10:34 DenisChenu Status assigned => resolved
2020-05-23 10:34 DenisChenu Fixed in Version => 4.2.4
2020-05-25 11:30 lime_release_bot Note Added: 58011
2020-05-25 11:30 lime_release_bot Status resolved => closed